////////////////
// Checkevents //
///////////////

//Package
package CheckPEvent
{
	function GameConnection::createPlayer(%this,%t)
	{
		if(isObject(%this.minigame) && %this.minigame==%this.CPMini)
		{
			if(isObject(%this.CPBrick))
			{
				%pos=%this.CPBrick.getTransform();
				%brickZ=%this.CPBrick.getDatablock().bricksizez;
				%t=vectorAdd(%pos,"0 0 "@%brickZ*0.2) @ getWords(%pos,3);
			}
		}
		else
		{
			%this.CPBrick="";
			%this.CPMini="";
		}
		Parent::createPlayer(%this,%t);
	}
};
activatepackage(CheckPEvent);

//Events
registerOutputEvent(fxDtsBrick,"SetAsCheckPoint","",1);
registerOutputEvent(fxDtsBrick,"ClearCheckPoint","",1);

//Event Functions
function fxDtsBrick::SetAsCheckPoint(%this,%c)
{
	%c.CPBrick=%this;
	%c.CPMini=%c.minigame;
}

function fxDtsBrick::ClearCheckPoint(%this,%c)
{
	%c.CPBrick="";
}